@echo off

:: jnewman67 - 2020-12-31

set status=c:\drivers\power\status.txt
set prev=c:\drivers\power\status_prev.txt
set ftpput=c:\drivers\power\ftpstatusput.txt
set ftpget=c:\drivers\power\ftpstatusget.txt
set power=

echo Setting server status to UP
if exist %status% erase %status%
echo UP > %status%
ftp -s:%ftpput% > nul

echo Checking server status
if exist %prev% erase %prev%
if exist %status% move %status% %prev% > nul
ftp -s:%ftpget% > nul
if not exist %status% goto NoStatus

setlocal ENABLEDELAYEDEXPANSION
set cnt=0
for /F "tokens=*" %%A in (%status%) do (
    SET /A cnt=!cnt! + 1
    set power!cnt!=%%A
)
set power=%power1%
echo Status = :%power%:

if "%power%" == "UP " goto EndLoop

:WrongStatus

echo FTP failed to upload current status directive
goto End

:NoStatus

echo FTP failed to download current status directive
goto End

:EndLoop

if exist %prev% erase %prev%
echo Success - Status = %power%

:End

@ping 127.0.0.1 -n 3 -w 1000 > nul

exit
